# Generated by go2rpm
%bcond_without check

# https://github.com/nats-io/nats-server
%global goipath         github.com/nats-io/nats-server
Version:                2.11.1

%gometa

%global goname          nats-server
%global goaltipaths     github.com/nats-io/gnatsd github.com/nats-io/nats-server/v2

%global common_description %{expand:
A High Performance NATS Server written in Go and hosted by the Cloud Native
Computing Foundation (CNCF).}

%global golicenses      LICENSE
%global godocs          CODE-OF-CONDUCT.md GOVERNANCE.md MAINTAINERS.md\\\
                        TODO.md README.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        High-Performance server for NATS, the cloud native messaging system

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Group:          Development/Other

BuildRequires:  help2man
Requires(pre):  shadow-utils

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/%{name} %{goipath}


%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_sbindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_sbindir}/
install -m 0755 -vd                     %{buildroot}%{_mandir}/man1
help2man --no-discard-stderr --no-info --version-string=%{version} %{buildroot}%{_sbindir}/%{name} > %{buildroot}%{_mandir}/man1/%{name}.1
install -m 0755 -vd                      %{buildroot}%{_unitdir}
install -m 0755 -vp util/%{name}.service %{buildroot}%{_unitdir}/
install -m 0755 -vd                         %{buildroot}%{_sysconfdir}
install -m 0755 -vp docker/nats-server.conf %{buildroot}%{_sysconfdir}/
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}

%pre
getent group nats >/dev/null || groupadd -r nats
getent passwd nats >/dev/null || \
    useradd -r -g nats -d %{_sharedstatedir}/%{name} -s /sbin/nologin \
    -c "NATS Server account" nats
exit 0

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%if %{with check}
%check
# logger: needs access to syslog
# server, test: need network
# server/avl: intermittent timeout errors
%gocheck -d logger -d server -d server/avl -d server/pse -d test
%endif

%files
%license LICENSE
%doc CODE-OF-CONDUCT.md GOVERNANCE.md MAINTAINERS.md README.md TODO.md
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/%{name}.1*
%{_unitdir}/%{name}.service
%attr(0750, nats, nats) %dir %{_sharedstatedir}/%{name}

%gopkgfiles



%changelog
* Tue Jul 08 2025 umeabot <umeabot> 2.11.1-2.mga10
+ Revision: 2251328
- Mageia 10 Mass Rebuild

* Fri Apr 11 2025 pterjan <pterjan> 2.11.1-1.mga10
+ Revision: 2174787
- Update to 2.11.1

* Sun May 22 2022 pterjan <pterjan> 2.7.2-1.mga9
+ Revision: 1859878
- Update to 2.7.2 (CVE-2022-24450)

* Thu Dec 31 2020 pterjan <pterjan> 2.1.9-1.mga8
+ Revision: 1667216
- Mageiaize
- imported package nats-server


* Sat Dec 26 14:01:50 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.9-1
- Update to 2.1.9
- Close: rhbz#1875804
- Security fix for CVE-2020-26892
- Fix: rhbz#1903719
- Security fix for CVE-2020-26521
- Fix: rhbz#1903716

* Thu Jul 30 06:57:58 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.7-3
- Add alternative import path

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 18 15:09:38 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.7-1
- Update to 2.1.7

* Sat Feb 01 22:29:20 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.4-1
- Update to 2.1.4

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue May 14 00:55:18 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.2-1
- Release 2.0.2

* Tue May 14 00:55:18 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-1.rc8
- Initial package
